// ================================================
// WidgetPreference
// ================================================
function WidgetPreference() {
	LOG__("Object: WidgetPreference");
	if (!window.widget)
		alert("Not found: window.widget");
}

// Set the preference for key
WidgetPreference.prototype.setValue = function(value, key) {
	LOG2__("WidgetPreference.setValue:" + value + " forKey:" + key);
	if (!window.widget) return;

	widget.setPreferenceForKey(value, key);
}

// Get the preference for key
WidgetPreference.prototype.value = function(key) {
	LOG2__("WidgetPreference.value(for key):" + key);
	if (!window.widget) return null;

	return widget.preferenceForKey(key);
}

